文档

​
​

Development

User Acquisition

Monetization

工业

ironSource Ads

Android SDK

iOS SDK

ironSource Ads

此页面不支持所选语言。
ironSource Ads
​
​
Monetization
  • Get started
  • Measurement and reports
  • APIs
    • Authentication
    • Reporting
    • Impression level revenue
    • Application
    • Instances
  • SDK
  1. 实现游戏增长
  2. ironSource Ads
  3. ironSource Ads monetization

API authentication

Authenticate your API requests using your ironSource credentials to securely access reporting and management endpoints.
阅读时间1 分钟
最后更新于 1 年前

All ironSource API endpoints are secured, and must be used with an authentication token. First, you'll need to add an authorization header for authentication.

Bearer API authentication

A Bearer API authentication is needed for the use of ironSource's Application API and Instance API.

Description

Bearer API authentication is based on auth 2.0 Bearer authentication. The HTTP Authorization header is created based on your account's unique Secret key & Refresh Token. You can find your unique parameters under 'My Account'.

Method

GET platform.ironsrc.com/partners/publisher/auth

Request URL

https://platform.ironsrc.com/partners/publisher/auth

Request example

$authURL = 'https://platform.ironsrc.com/partners/publisher/auth';$authHeaders = array( 'secretkey: <a1b2c3d4e5f67890abcdef1234567890>', 'refreshToken: <fa9e8d7c6b5a4938271605e4d3c2b1a0>',);$curlClient = curl_init($authURL);curl_setopt($curlClient, CURLOPT_HTTPHEADER, $authHeaders);curl_setopt($curlClient, CURLOPT_RETURNTRANSFER, true);$bearerTokenResponse = curl_exec($curlClient);$bearerToken = str_replace('"','',$bearerTokenResponse);curl_close($curlClient);

Response example

eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJzZWNyZXRLZXkiOiJhMWIyYzNkNGU1ZjY3ODkwYWJjZGVmMTIzNDU2Nzg5MCIsInJlZnJlc2hUb2tlbiI6ImZhOWU4ZDdjNmI1YTQ5MzgyNzE2MDVlNGQzYzJiMWEwIiwiZXhwaXJhdGlvblRpbWUiOjIxNDM5NTg0MDB9.rK9mXvQpLzNwYtDsAqBcEuFhGjIkMnOpRsTuVwXyZa4
The generated token should be used for the bearer token authorization:
GET https://platform.ironsrc.com/partners/publisher/instances/v1?appKey=123abcAuthorization: Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJzZWNyZXRLZXkiOiJhMWIyYzNkNGU1ZjY3ODkwYWJjZGVmMTIzNDU2Nzg5MCIsInJlZnJlc2hUb2tlbiI6ImZhOWU4ZDdjNmI1YTQ5MzgyNzE2MDVlNGQzYzJiMWEwIiwiZXhwaXJhdGlvblRpbWUiOjIxNDM5NTg0MDB9.rK9mXvQpLzNwYtDsAqBcEuFhGjIkMnOpRsTuVwXyZa4
注意
The token is valid for 24 hours.

Standard API authentication

Description

This type of authentication is based on Basic HTTP Authentication with HTTPS. The HTTP Authorization header is created based on the base64 version of username:secret key.
  • username is the login/email that is used to login to our system.
  • secret key parameter is unique for your LevelPlay account.
You can find your Secret Key under My Account.

Request Headers example

Basic `<YOUR_BASE64_ENCODED_TOKEN>`

Copyright © 2026 Unity Technologies
法律信息隐私政策CookiesDocumentation Terms of Use请勿出售或分享我的个人信息您的隐私选择(Cookie 设置)

“Unity”、Unity 徽标及其他 Unity 商标是 Unity Technologies 或其附属公司在美国和其他地方的商标或注册商标(此处查看更多信息)。其他名称或品牌是其各自所有者的商标。

为方便起见,一些页面是机器翻译的,可能包含不准确的内容。如有信息不一致的情况,以英文版本为准。

  • 在本页上
    • Bearer API authentication

      • Description

      • Method

      • Request URL

      • Request example

      • Response example

    • Standard API authentication

      • Description

        • Request Headers example


报告此页面的问题